> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easystreetoffers.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Offer Request

> Updates an offer request

Currently, we only allow `ListAgentFirstName`, `ListAgentLastName`,`ListAgentEmail`, `ListAgentDirectPhone` and `media` fields to be updated. This allows you to provide us with the listing agent to close the transaction, and for property photos to be added.


## OpenAPI

````yaml patch /offer-requests/{offer_request_id}
openapi: 3.0.1
info:
  title: OpenAPI ESO
  description: ESO
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://v2.easystreetoffers.com/api/v2
security:
  - ApiKeyAuth: []
paths:
  /offer-requests/{offer_request_id}:
    patch:
      description: Updates an offer request
      parameters:
        - name: offer_request_id
          in: path
          description: ID of offer request to update
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        description: Preliminary Matches
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/offer_request'
        required: true
      responses:
        '201':
          description: deleted
          content: {}
        '400':
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    offer_request:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/offer_requests_request'
        property:
          $ref: '#/components/schemas/inventory_properties_request'
          description: >-
            property fields named with Pascal Case convention follow the RESO
            2.0 standard
        assumptions:
          description: Analyst assumptions. Only available to buyers
          type: array
          items:
            $ref: '#/components/schemas/analyst_assumptions'
        media:
          description: >-
            List of signed URLs. Note that the URLs will become invalid after 10
            minutes.
          type: array
          items:
            type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
    offer_requests_request:
      type: object
      properties:
        offer_request_asking:
          type: integer
          format: bigint
        test:
          type: boolean
          format: boolean
          description: set to true s
    inventory_properties_request:
      type: object
      required:
        - StreetNumber
        - StreetName
        - PostalCity
        - StateOrProvince
        - PostalCode
        - MlsStatus
      properties:
        StreetNumber:
          maxLength: 25
          type: string
          format: character varying
        StreetName:
          maxLength: 50
          type: string
          format: character varying
        UnitNumber:
          maxLength: 25
          type: string
          format: character varying
        PostalCity:
          maxLength: 50
          type: string
          format: character varying
        StateOrProvince:
          maxLength: 2
          type: string
          format: character varying
        PostalCode:
          maxLength: 10
          type: string
          format: character varying
        MlsStatus:
          maxLength: 50
          type: string
          format: character varying
          enum:
            - Active
            - Off-market
            - Wholesale
            - New Construction
            - MLS Listed
            - seller_considering
        BedroomsTotal:
          type: number
          format: numeric
        BathroomsFull:
          type: number
          format: numeric
        BathroomsHalf:
          type: number
          format: numeric
        LivingArea:
          type: number
          format: numeric
        LotSizeSquareFeet:
          type: number
          format: numeric
        GarageYN:
          type: boolean
          format: boolean
        Longitude:
          type: number
          format: numeric
        Latitude:
          type: number
          format: numeric
        Notes:
          type: string
          format: text
        tags:
          type: array
          items:
            type: string
        YearBuilt:
          type: number
          format: numeric
        AssociationFee:
          type: number
          format: numeric
        AssociationFee2:
          type: number
          format: numeric
        AssociationFee2Frequency:
          maxLength: 25
          type: string
          format: character varying
        AssociationFeeFrequency:
          maxLength: 25
          type: string
          format: character varying
          enum:
            - Annually
            - Bi-Monthly
            - Bi-Weekly
            - Daily
            - Monthly
            - One Time
            - Quarterly
            - Seasonal
            - Semi-Annually
            - Semi-Monthly
            - Weekly
        AssociationYN:
          type: boolean
          format: boolean
        AttachedGarageYN:
          type: boolean
          format: boolean
        Basement:
          type: array
          items:
            type: string
        BasementYN:
          type: boolean
          format: boolean
        BathroomsOneQuarter:
          type: number
          format: numeric
        BathroomsPartial:
          type: number
          format: numeric
        BathroomsThreeQuarter:
          type: number
          format: numeric
        CarportSpaces:
          type: number
          format: numeric
        CarportYN:
          type: boolean
          format: boolean
        City:
          maxLength: 50
          type: string
          format: character varying
        CountyOrParish:
          maxLength: 50
          type: string
          format: character varying
        CoveredSpaces:
          type: number
          format: numeric
        GarageSpaces:
          type: number
          format: numeric
        HistoryTransactional:
          maxLength: 255
          type: string
          format: character varying
        Levels:
          type: array
          items:
            type: string
        ListAgent:
          maxLength: 255
          type: string
          format: character varying
        ListAgentDirectPhone:
          maxLength: 16
          type: string
          format: character varying
        ListAgentEmail:
          maxLength: 80
          type: string
          format: character varying
        ListAgentFullName:
          maxLength: 150
          type: string
          format: character varying
        ListOffice:
          maxLength: 255
          type: string
          format: character varying
        ListOfficeName:
          maxLength: 255
          type: string
          format: character varying
        ListPrice:
          type: number
          format: numeric
        LivingAreaSource:
          maxLength: 50
          type: string
          format: character varying
        LivingAreaUnits:
          maxLength: 25
          type: string
          format: character varying
        OccupantType:
          maxLength: 50
          type: string
          format: character varying
          enum:
            - Owner
            - Tenant
            - Vacant
        OpenParkingSpaces:
          type: number
          format: numeric
        OpenParkingYN:
          type: boolean
          format: boolean
        OtherParking:
          maxLength: 1024
          type: string
          format: character varying
        OwnerName:
          maxLength: 50
          type: string
          format: character varying
        ParcelNumber:
          maxLength: 50
          type: string
          format: character varying
        ParkingTotal:
          type: number
          format: numeric
        PoolPrivateYN:
          type: boolean
          format: boolean
        PropertySubType:
          maxLength: 50
          type: string
          format: character varying
          enum:
            - Single Family Residence
            - Apartment
            - Condominium
            - Cabin
            - Manufactured Home
            - Mobile Home
            - Duplex
            - Triplex
            - Quadruplex
            - Townhouse
        PropertyType:
          maxLength: 50
          type: string
          format: character varying
        SeniorCommunityYN:
          type: boolean
          format: boolean
        Sewer:
          type: array
          items:
            type: string
            enum:
              - Aerobic Septic
              - Cesspool
              - Engineered Septic
              - Holding Tank
              - Mound Septic
              - None
              - Other
              - Perc Test On File
              - Perc Test Required
              - Private Sewer
              - Public Sewer
              - Septic Needed
              - Septic Tank
              - Shared Septic
              - Unknown
        SpaYN:
          type: boolean
          format: boolean
        StandardStatus:
          maxLength: 25
          type: string
          format: character varying
        Stories:
          type: number
          format: numeric
        StreetAdditionalInfo:
          maxLength: 50
          type: string
          format: character varying
        StreetDirPrefix:
          maxLength: 15
          type: string
          format: character varying
        StreetDirSuffix:
          maxLength: 15
          type: string
          format: character varying
        StreetNumberNumeric:
          type: number
          format: numeric
        StreetSuffix:
          maxLength: 25
          type: string
          format: character varying
        StreetSuffixModifier:
          maxLength: 25
          type: string
          format: character varying
        TaxLegalDescription:
          maxLength: 6000
          type: string
          format: character varying
        TaxOtherAnnualAssessmentAmount:
          type: number
          format: numeric
        TaxYear:
          type: number
          format: numeric
        Utilities:
          type: array
          items:
            type: string
        WaterSource:
          type: array
          items:
            type: string
            enum:
              - Cistern
              - None
              - Other
              - Private
              - Public
              - Shared Well
              - Spring
              - Well
        ConstructionMaterials:
          type: array
          items:
            type: string
            enum:
              - Brick
              - Wood Siding
              - Wood Framing
              - Concrete
              - Stucco
              - Vinyl Siding
              - Stone
              - Frame
              - Other
              - Unknown
        PowerProductionType:
          type: string
          format: text
        TotalActualRent:
          type: number
          format: numeric
        LeaseExpiration:
          type: string
          format: date
        inventory_password:
          type: integer
          format: integer
        inventory_hash:
          type: string
          format: text
        TaxAnnualAmount:
          type: integer
          format: integer
        cbsa_title:
          type: string
          description: used to identify markets
          format: text
        ListAgentFirstName:
          type: string
          format: text
        ListAgentLastName:
          type: string
          format: text
        ListAgentMlsId:
          type: string
          format: text
        ListAgentStateLicense:
          type: string
          format: text
        ListAgentKey:
          type: string
          format: text
        PropertyCondition:
          type: string
          nullable: true
          description: The condition of the property
          enum:
            - Move-in Ready
            - Needs Minor Aesthetic Repairs
            - Needs Above Normal Repairs
            - Needs Major Repairs
            - Full Remodel
          example: Needs Minor Aesthetic Repairs
        test:
          type: boolean
          format: boolean
          description: set to true s
    analyst_assumptions:
      type: object
      properties:
        assumption_id:
          type: integer
          description: Identifies assumptions.
          format: bigint
        created_at:
          type: string
          format: timestamp with time zone
          default: now()
        inventory_property_id:
          type: integer
          description: The property to which these assumptions apply.
          format: bigint
        ltr_monthly_rent:
          type: integer
          format: bigint
        ltr_annual_rent_increase:
          type: number
          format: double precision
        ltr_arv:
          type: integer
          format: bigint
        ltr_renovation_cost:
          type: integer
          format: bigint
        str_season_1_daily_rate:
          type: integer
          format: bigint
        str_season_2_daily_rate:
          type: integer
          format: bigint
        str_season_3_daily_rate:
          type: integer
          format: bigint
        str_season_4_daily_rate:
          type: integer
          format: bigint
        str_arv:
          type: integer
          format: bigint
        str_renovation_cost:
          type: integer
          format: bigint
        rr_weekly_rent_per_room:
          type: integer
          format: bigint
        rr_arv:
          type: integer
          format: bigint
        rr_beds:
          type: integer
          format: smallint
        rr_baths:
          type: integer
          format: smallint
        ff_arv:
          type: integer
          format: bigint
        ff_renovation_cost:
          type: integer
          format: bigint
        property_annual_tax:
          type: integer
          format: bigint
        property_annual_hoa:
          type: integer
          format: bigint
        rr_renovation_cost:
          type: integer
          format: bigint
        reno_items:
          type: array
          items:
            type: object
        fmv:
          type: integer
          format: bigint
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization

````